Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		gstreamer-vaapi
#Epoch:		0
Version:	0.2.5
Release:	2
License:	GNU/GPLv2	
URL:		http://www.splitted-desktop.com/~gbeauchesne/gstreamer-vaapi/
Group:		Multimedia/Video
Summary:	VA-API plugins for GStreamer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: ffmpeg-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: libva-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: mesa-libGL-devel
BuildRequires: pkg-config

%description
gstreamer-vaapi consists in a collection of VA-API based plugins for GStreamer and helper libraries.
vaapidecode is used to decode MPEG-2, MPEG-4, H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending on the underlying HW capabilities.
vaapiconvert is used to convert from video/x-raw-yuv pixels to video/x-vaapi-surface surfaces.
vaapisink is used to display video/x-vaapi-surface surfaces to the screen. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/gstreamer-0.10/libgstvaapiconvert.so
%{_libdir}/gstreamer-0.10/libgstvaapidecode.so
%{_libdir}/gstreamer-0.10/libgstvaapisink.so
%{_libdir}/libgstvaapi-0.10.so.*
%{_libdir}/libgstvaapi-glx-0.10.so.*
%{_libdir}/libgstvaapi-x11-0.10.so.*


%files devel
%defattr(-,root,root)
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapicontext.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapidecoder_ffmpeg.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapidecoder.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapidisplay_glx.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapidisplay.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapidisplay_x11.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiimageformat.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiimage.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiimagepool.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiobject.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiparamspecs.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiprofile.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapisubpicture.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapisurface.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapisurfacepool.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapisurfaceproxy.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapitexture.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapitypes.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapivalue.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapivideobuffer.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapivideopool.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapivideosink.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiwindow_glx.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiwindow.h
%{_includedir}/gstreamer-0.10/gst/vaapi/gstvaapiwindow_x11.h
%{_libdir}/gstreamer-0.10/libgstvaapiconvert.la
%{_libdir}/gstreamer-0.10/libgstvaapidecode.la
%{_libdir}/gstreamer-0.10/libgstvaapisink.la
%{_libdir}/libgstvaapi-0.10.a
%{_libdir}/libgstvaapi-0.10.la
%{_libdir}/libgstvaapi-0.10.so
%{_libdir}/libgstvaapi-glx-0.10.a
%{_libdir}/libgstvaapi-glx-0.10.la
%{_libdir}/libgstvaapi-glx-0.10.so
%{_libdir}/libgstvaapi-x11-0.10.a
%{_libdir}/libgstvaapi-x11-0.10.la
%{_libdir}/libgstvaapi-x11-0.10.so
%{_pkgconfig}/gstreamer-vaapi-0.10.pc
%{_pkgconfig}/gstreamer-vaapi-glx-0.10.pc
%{_pkgconfig}/gstreamer-vaapi-x11-0.10.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.5-2
- rebuilt against libva 1.0.6
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.5-1
- version update
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.3-1
- initial CCux package release
